Skip to main content
GET
/
v1
/
baremetals
List all baremetal servers
curl --request GET \
  --url https://console.gmicloud.ai/api/v1/baremetals \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://console.gmicloud.ai/api/v1/baremetals"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://console.gmicloud.ai/api/v1/baremetals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "associatedFirewalls": [
      "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    ],
    "consoleReady": true,
    "createdAt": "2023-11-07T05:31:56Z",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "idc": "<string>",
    "image": "<string>",
    "imageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "networks": [
      {
        "ip": "<string>"
      }
    ],
    "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "product": "<string>",
    "reason": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

idc
string
Maximum string length: 50
Pattern: ^[a-zA-Z0-9._-]+$

Response

successful

associatedFirewalls
string<uuid>[]
required
consoleReady
boolean
required
createdAt
string<date-time>
required
id
string<uuid>
required
idc
string
required
Maximum string length: 50
Pattern: ^[a-zA-Z0-9._-]+$
image
string
required
imageId
string<uuid>
required
name
string
required
networks
object[]
required
orgId
string<uuid>
required
product
string
required
Maximum string length: 256
Pattern: ^[a-zA-Z0-9._-]+$
status
enum<string>
required
Available options:
creating,
deleted,
deleting,
error,
powercycling,
rebooting,
rebuilding,
running,
starting,
stopped,
stopping,
unknown
reason
string

The reason for the validation error.